package it.integry.integrywmsnative.core.barcode_reader;

import it.integry.integrywmsnative.core.expansion.RunnableArgs;
import it.integry.plugins.barcode_base_library.model.BarcodeScanDTO;

public class BarcodeCallbackDTO {

    private int ID = -1;

    private RunnableArgs<BarcodeScanDTO> onScanSuccessfull;
    private RunnableArgs<Exception> onScanFailed;

    public int getID() {
        return ID;
    }

    public BarcodeCallbackDTO setID(int ID) {
        this.ID = ID;
        return this;
    }

    public RunnableArgs<BarcodeScanDTO> getOnScanSuccessfull() {
        return onScanSuccessfull;
    }

    public BarcodeCallbackDTO setOnScanSuccessfull(RunnableArgs<BarcodeScanDTO> onScanSuccessfull) {
        this.onScanSuccessfull = onScanSuccessfull;
        return this;
    }

    public RunnableArgs<Exception> getOnScanFailed() {
        return onScanFailed;
    }

    public BarcodeCallbackDTO setOnScanFailed(RunnableArgs<Exception> onScanFailed) {
        this.onScanFailed = onScanFailed;
        return this;
    }
}
